/*
 * Copyright (c) 2003-2008 by Cosylab d. d.
 *
 * This file is part of CosyBeans-Common.
 *
 * CosyBeans-Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CosyBeans-Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CosyBeans-Common.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.cosylab.gui.components.range2;

/**
 * @author ikriznar
 *
 */
public class IntegerValuePolicy extends RangedValuePolicy {

	/* (non-Javadoc)
	 * @see com.cosylab.gui.components.range2.RangedValuePolicy#validate(com.cosylab.gui.components.range2.RangedValue)
	 */
	@Override
	public RangedValue validate(RangedValue params) {
		
		params = params.deriveWithValue(Math.rint(params.getValue()));
		
		return validatePeerPolicy(params);
	}

}
