/*
 * Copyright (c) 2003-2008 by Cosylab d. d.
 *
 * This file is part of CosyBeans-Common.
 *
 * CosyBeans-Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CosyBeans-Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CosyBeans-Common.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.cosylab.gui.property.editors;


/**
 * description
 * 
 * @author <a href="mailto:ales.pucelj@cosylab.com">Ales Pucelj</a> 
 * @version $id$
 */
public class ShortEditor extends LongEditor {
    /**
     * 
     */
    private static final long serialVersionUID = -3058350741576670701L;

    /**
     * 
     */
	public ShortEditor() {
		super();
/*		super.setGraphMin(new Double(Short.MIN_VALUE));
		super.setGraphMax(new Double(Short.MAX_VALUE));*/
	}

	/**
	 * @see PropertyEditor#getValue()
	 */
	@Override
    public Object getPropertyValue() {
        Number val=getValue();
        if (val==null) return null;
        return new Short(val.shortValue());
	}
}
