/*
 * Copyright (c) 2003-2008 by Cosylab d. d.
 *
 * This file is part of CosyBeans.
 *
 * CosyBeans is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * CosyBeans is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with CosyBeans.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.cosylab.gui.util;

import java.awt.datatransfer.DataFlavor;

import com.cosylab.gui.displayers.DisplayerParameters;

/**
 * DataFlavor for DisplayerParameters.
 * 
 * @author tkusterle
 *
 */
public class DisplayerParametersFlavor extends DataFlavor {
	
	private static final long serialVersionUID = 1L;
	public static final DisplayerParametersFlavor FLAVOR = new DisplayerParametersFlavor();
	
	/**
	 * Creates new instance of DisplayerParametersFlavor.
	 */
	public DisplayerParametersFlavor() {
		super(DisplayerParameters.class,"Displayer Parameters Flavor");
	}

}
