package de.desy.acop.video;

import java.beans.IntrospectionException;

import com.cosylab.gui.components.util.IconHelper;
import com.cosylab.util.BeanInfoSupport;

import de.desy.acop.displayers.selector.SelectorPropertyEditor;

/**
 * 
 * <code>AcopVideoBeanInfo</code> if the bean info class for the AcopVideo.
 *
 * @author <a href="mailto:jaka.bobnar@cosylab.com">Jaka Bobnar</a>
 *
 */
public class AcopVideoBeanInfo extends BeanInfoSupport{

	/**
	 * Constructs new AcopSpiderBeanInfo.
	 * @throws IntrospectionException 
	 *
	 */
	public AcopVideoBeanInfo() throws IntrospectionException {
		super();
		setBeanDescriptor(AcopVideoCustomizer.class);
		loadDefaultPropertyDescriptors();
		loadPropertyDescriptor("connectionParameters", SelectorPropertyEditor.class);
	}
	
	/*
	 * (non-Javadoc)
	 * @see java.beans.SimpleBeanInfo#getIcon(int)
	 */
	@Override
    public java.awt.Image getIcon(int iconKind) {
    	return IconHelper.createImage("icons/media/Movie16.gif");
    }
}
