package de.desy.acop.video.analysis.gaussian;

import de.desy.acop.video.analysis.AnalysisData;


public class GaussianAnalysisData extends AnalysisData{
	public final double amplitude;
	public final double mean;
	public final double std;
	public final double constant;
	public final double amplitudeFit;
	public final double meanFit;
	public final double stdFit;
	public final double constantFit;
	public final double slopeFit;


	public GaussianAnalysisData(double[] profile, int roiStart, int roiLength, boolean drawFit, double amplitude,
	        double mean, double std, double constant, double amplitudeFit, double meanFit, double stdFit, double
	        constantFit, double slopeFit) {
		super(profile,roiStart,roiLength,drawFit);
		this.amplitude = amplitude;
		this.mean = mean;
		this.std = std;
		this.constant = constant;
		this.amplitudeFit = amplitudeFit;
		this.meanFit = meanFit;
		this.stdFit = stdFit;
		this.constantFit = constantFit;
		this.slopeFit = slopeFit;
	}
}
