package de.desy.acop.video.displayer;


/**
* <code>ImageException</code> implements exception handling for image display and 
* image transfer based exceptions. Basic implementation subject to extension.  
* <br>
* <br>
* <b>Note:</b>This class is only a very basic construct and might be substantially changed
* in future. It fits its purpose currently but will not win a price for meaningful class 
* design! 
*    
* @author <a href="mailto:stefan.weisse@desy.de">Stefan Weisse</a>
* @version $Id: Templates.xml,v 1.10 2008/06/23 14:30:13 sweisse Exp $
*
*/


public class ImageException extends Exception {

	private static final long serialVersionUID = 1L;

	/** basic construction of instance. */
	public ImageException(String message) {
		super(message);
	}
	
	/** extended construction of instance. */
	public ImageException(String message, Exception cause) {
		super(message, cause);
	}
	
}
