/*
 * Created on Jan 17, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.config;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Document format information.
 * Currently contains only the version number.
 * @author jwlg
 */
@XmlRootElement
public class CfgDocument {

    static final CfgVersion CURRENT_VERSION=new CfgVersion(1,0,0);
    private CfgVersion version = CURRENT_VERSION;
    
    /**
     * Returns the version.
     */
    @XmlElement
    public CfgVersion getVersion() {
        return version;
    }
    
    /** 
     * Assigns a version. 
     * @param version The version to be set.
     */
    public void setVersion(CfgVersion version) {
        this.version = version;
    }

}
