/*
 * Created on Sep 20, 2006
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;

/**
 * An exception which can thrown by a device when file access failed.
 * @author jwlg
 */
public class FileIOException extends IOException {

   private static final long serialVersionUID = -2777443169549585959L;

   /**
    * Default constructor.
    */
    public FileIOException() {
        super(ErrorSpecs.FILE_IO_EXCEPTION);
    }
    
    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public FileIOException(String message) {
        super(ErrorSpecs.FILE_IO_EXCEPTION, message);
    }

}
