/*
 * Created on Sep 20, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.server;

/**
 * An exception which is thrown by an equipment module builder.
 * @author jwlg
 */
public class EquipmentModuleBuilderException extends Exception {

    private static final long serialVersionUID = 1L;

    /**
     * Constructor with no message.
     */
    public EquipmentModuleBuilderException() {
        super();
    }

    /**
     * @param message
     * @param throwable
     */
    public EquipmentModuleBuilderException(String message, Throwable throwable) {
        super(message, throwable);
    }

    /**
     * @param message
     */
    public EquipmentModuleBuilderException(String message) {
        super(message);
    }

    /**
     * @param throwable
     */
    public EquipmentModuleBuilderException(Throwable throwable) {
        super(throwable);
    }
    
    

}
