/*
 * Created on Feb 8, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.server;


/**
 * The interface for common data.
 * Each device group can have common data which are
 * accessible to all devices.
 * 
 * @author jwlg
 */
public interface ICommonData {
    
    /**
     * Called from the device group before the
     * device's setup is called. 
     */
    public void setup();

    /**
     * Called from the device group before the 
     * devices' update is called.
     */
    public void update();

}
