/*
 * Created on Sep 18, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.server;


/**
 * Module factory for device controllers.
 * Device factory part.
 * @author jwlg
 */
public interface IControllerModuleFactory <T extends IBasicDevice> extends IBasicModuleFactory<T> {
    
    /**
     * Creates a factory method for devices.
     * This method has to be implemented by derived classes.
     * 
     */
    public IControllerFactoryMethod<T> createFactoryMethod();

}
