/*
 * Created on Apr 3, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.server;

import de.desy.tine.dataUtils.TDataType;
import de.desy.tine.definitions.TAccess;

/**
 * The common interface for all property handlers.
 * @author jwlg
 */
public interface IPropertyHandler {

    /**
     * Called by TINE via wrapper.
     * @param devName The device name or TINE-like hash+index.
     * @param dout The output data.
     * @param din The input data.
     * @param devAccess The access mode.
     * @return A TINE result set.
     */
    public TineResultSet call(String devName, TDataType dout, TDataType din, TAccess devAccess);

}
