package com.cosylab.application;

import java.awt.Window;

import javax.swing.JDialog;

/**
 * <code>AutoScalableDialog</code> is the base dialog which is annotated with {@link AutoScalable}. 
 * 
 * @author <a href="mailto:jaka.bobnar@cosylab.com">Jaka Bobnar</a>
 */
@AutoScalable
public class AutoScalableDialog extends JDialog {

    private static final long serialVersionUID = -4219066567613809738L;
    
    public AutoScalableDialog() {
        super();
    }
    
    public AutoScalableDialog(Window owner) {
        super(owner);
    }
}
