/*
 * Created on Sep 20, 2006
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;

/**
 * An exception which can thrown by a device when it cannot access underlying hardware.
 * @author jwlg
 */
public class HardwareIOException extends IOException {
    
    private static final long serialVersionUID = 3677927443226807418L;

    /**
     * Default constructor.
     */
    public HardwareIOException() {
        super(ErrorSpecs.HARDWARE_IO_EXCEPTION);
    }
    
    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public HardwareIOException(String message) {
        super(ErrorSpecs.HARDWARE_IO_EXCEPTION, message);
    }

}
