/*
 * Created on Sep 20, 2006
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.exceptions;


/**
 * An exception which can thrown by a device when a network connection has failed.
 * @author jwlg
 */
public class NetworkIOException extends IOException {
    
    private static final long serialVersionUID = -5732276246630870572L;

    /**
     * Default constructor.
     */
    public NetworkIOException() {
        super(ErrorSpecs.NETWORK_IO_EXCEPTION);
    }
    
    /**
     * Constructor with a specific message.
     * @param message A message which overrides the default message.
     */
    public NetworkIOException(String message) {
        super(ErrorSpecs.NETWORK_IO_EXCEPTION, message);
    }

}
