/*
 * Created on Sep 17, 2007
 *
  */
package de.desy.mst.auxiliary.devl.deviceserverlib.server;

import java.util.HashMap;

import de.desy.mst.auxiliary.devl.deviceserverlib.config.CfgDeviceGroup;


public abstract class ADeviceFactory<T extends IBasicDevice> implements IDeviceFactory<T> {

    private IDeviceFactoryMethod<T> factoryMethod = null;
    private CfgDeviceGroup cfgDeviceGroup = null;
    private HashMap<String, String> parameters = null;
    private DirectorySet directorySet = null;
    
    
    public HashMap<String, String> getParameters() {
        return parameters;
    }
    
    public void setParameters(HashMap<String, String> parameters) {
        this.parameters = parameters;
    }
    
    public void setFactoryMethod(IDeviceFactoryMethod<T> deviceFactoryMethod) {
        this.factoryMethod = deviceFactoryMethod;
    }

    protected IDeviceFactoryMethod<T> getFactoryMethod() {
        return factoryMethod;
    }

    
    public CfgDeviceGroup getCfgDeviceGroup() {
    
        return cfgDeviceGroup;
    }

    
    public void setCfgDeviceGroup(CfgDeviceGroup cfgDeviceGroup) {
    
        this.cfgDeviceGroup = cfgDeviceGroup;
    }

    
    protected DirectorySet getDirectorySet() {
    
        return directorySet;
    }

    
    public void setDirectorySet(DirectorySet directorySet) {
    
        this.directorySet = directorySet;
    }
    
    
    
}
